Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8138613 Remove SPI locale provider adapter from the default provider list
  3. JDK-8167325

Release Note: SPI based locale sensitive services need to be explicitly specified

    Details

    • Type: Sub-task
    • Status: Closed
    • Priority: P4
    • Resolution: Delivered
    • Affects Version/s: 9
    • Fix Version/s: 9
    • Component/s: core-libs
    • Subcomponent:
    • CPU:
      generic
    • OS:
      generic
    • Verification:
      Verified

      Description

      The default locale data provider lookup does not load SPI based locale sensitive services. If it is needed, the system property "java.locale.providers" needs to designate "SPI" explicitly. For more detail, refer to [LocaleServiceProvider](http://download.java.net/java/jdk9/docs/api/java/util/spi/LocaleServiceProvider.html).

        Attachments

          Activity

            People

            • Assignee:
              naoto Naoto Sato
              Reporter:
              naoto Naoto Sato
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: